Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.metaclass
Class GroovyDynamicMethodsInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethods
          org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodsInterceptor
              org.codehaus.groovy.grails.commons.metaclass.GroovyDynamicMethodsInterceptor

All Implemented Interfaces:
  ConstructorInterceptor, DynamicMethods, Interceptor, PropertyAccessInterceptor

    public class GroovyDynamicMethodsInterceptor

extends AbstractDynamicMethodsInterceptor

For dynamic methods applied to a Groovy object that registers itself with the GroovyObject instances meta class instance.

Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethods
`clazz, dynamicConstructors, dynamicMethodInvocations, dynamicProperties, staticMethodInvocations`

Constructor Summary
`GroovyDynamicMethodsInterceptor(groovy.lang.GroovyObject go)`

Method Summary

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodsInterceptor
`afterConstructor, afterInvoke, beforeConstructor, beforeGet, beforeInvoke, beforeSet`

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethods
`addDynamicConstructor, addDynamicMethodInvocation, addDynamicProperty, addStaticMethodInvocation, getDynamicMethod, getDynamicProperty, getProperty, invokeConstructor, invokeMethod, invokeStaticMethod, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyDynamicMethodsInterceptor

    public GroovyDynamicMethodsInterceptor(groovy.lang.GroovyObject go)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD